﻿@model SimBindView;
@using DTO;
@using zhengcaioa.Models;
@{
    Layout = null;
    List<SysCodeDtl> CardPro = ViewData["CardPro"] as List<SysCodeDtl>; //电话补贴
    List<PltUserDTO> users = ViewData["users"] as List<PltUserDTO>;
    List<PageEntity> ActionInfo2 = ViewData["ActionInfo2"] as List<PageEntity>;
}

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="ThemeBucket">
    <title>@(SiteConfig.SiteName)</title>
    <link href="~/css/bootstrap.min.css" rel="stylesheet">
    <link href="~/css/font-awesome.min.css" rel="stylesheet">
    <link href="~/css/animate.min.css" rel="stylesheet">
    <link href="~/css/style.min.css" rel="stylesheet">
    <link href="~/css/plugins/chosen/chosen.css" rel="stylesheet">
    <link href="~/js/plugins/layer/skin/layer.css" rel="stylesheet">
    <link href="~/css/style.min.css" rel="stylesheet">
    <link href="~/css/plugins/toastr/toastr.min.css" rel="stylesheet" />
    <link href="~/css/plugins/webuploader/webuploader.css" rel="stylesheet" />

    <!-- jqgrid-->
    <script language="javascript" src="~/js/jquery.min.js" type="text/javascript"></script>
    <script src="~/js/bootstrap.min.js"></script>

    <!--容器-->
    <script language="javascript" src="~/js/plugins/chosen/chosen.jquery.js" type="text/javascript"></script>
    <script language="javascript" src="~/js/plugins/layer/layer.js" type="text/javascript"></script>
    <script src="~/js/plugins/toastr/toastr.min.js" type="text/javascript"></script>
    <script language="javascript" src="~/js/common-layout.js" type="text/javascript"></script>
    <script src="~/js/plugins/layer/laydate/laydate.js" type="text/javascript"></script>
    <script src="~/js/TUJS.js"></script>

    <style type="text/css">
        
        div.clearfix > label {
            padding-top: 8px;
        }

        .col-md-1.control-label {
            padding-right: 0px;
            font-weight: 400;
        }
    </style>


</head>

<body class="gray-bg" style="overflow:auto">
    <form id="fm" method="post">
        <div class="wrapper wrapper-content" id="ibox-content" style="padding:15px;">
            <div class="row">
                <div class="col-sm-12">
                    <div class="ibox float-e-margins">
                        <div class="ibox-title">
                            <h5><i class="fa fa-list"></i>&nbsp;电话卡分配</h5>
                        </div>
                        <div id="div_content" class="ibox-content" style="background-color:white;">
                            <div class="row">
                                <div class="clearfix layer-area" style="padding-bottom:15px;">
                                    <label class="text-right col-sm-1 col-md-1 control-label">电话卡</label>
                                    <div class="col-sm-2 col-md-2">
                                        <input class="form-control" labtype="txt" addvisible="true" editvisible="true" readonly="readonly" maxlength="500" reg="" ismust="true" type="text" value="@Model.simcard">
                                        <input type="hidden" name="sim_id" value="@Model.Id" />
                                    </div>
                                </div>
                                <div class="clearfix layer-area" style="padding-bottom:15px;">

                                    <label class="text-right col-sm-1 col-md-1 control-label">使用员工<i class="red">*</i></label>
                                    <div class="col-sm-2 col-md-2">
                                        <select id="cbbUser" class="data form-control" name="user_id" data-placeholder="选择 序列 ...">
                                            <option value="" hassubinfo="true">请选择</option>
                                            @foreach (var item in users)
                                            {
                                                @if (!item.Id.Equals(Model.userid))
                                                {
                                                    <option value="@item.Id" hassubinfo="true">
                                                        @item.UserName
                                                    </option>
                                                }
                                                else
                                                {
                                                    <option value="@item.Id" hassubinfo="true" selected="selected">
                                                        @item.UserName
                                                    </option>
                                                }
                                            }
                                        </select>
                                    </div>
                                </div>
                                <div class="clearfix layer-area" style="padding-bottom:15px;">

                                    <label class="text-right col-sm-1 col-md-1 control-label">电话补贴<i class="red">*</i></label>
                                    <div class="col-sm-2 col-md-2">
                                        <select id="cbbDhbt" class="data form-control" name="cardpro" data-placeholder="选择 序列 ...">
                                            <option value="" hassubinfo="true">请选择</option>
                                            @foreach (var item in CardPro)
                                            {
                                                @if (!item.CodeSn.Equals(Model.cardpro))
                                                {
                                                    <option value="@item.CodeSn" hassubinfo="true">
                                                        @item.Comments
                                                    </option>
                                                }
                                                else
                                                {
                                                    <option value="@item.CodeSn" hassubinfo="true" selected="selected">
                                                        @item.Comments
                                                    </option>
                                                }
                                            }
                                        </select>
                                        
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="ibox-content" id="top" style="z-index:100; position:fixed; height:50px; width:100%;bottom:0; text-align: right; padding-top:8px ">
            <div class="" style="float:right;" data-bootstro-width="500px" data-bootstro-content="功能按钮：“保存”，“取消”">
                <a class="btn btn-success" href="javascript:void(0)" onclick="_pageAutoClose();" style="margin-left:4px; border-radius:4px;">
                    <i class="glyphicon glyphicon-remove"></i>&nbsp;&nbsp;<span class="bold">取消</span>
                </a>
                <a class="btn btn-success Update" href="javascript:void(0)" onclick="saveSim();" style="margin-left:4px; border-radius:4px;display:none;">
                    <i class="glyphicon glyphicon-ok"></i>&nbsp;&nbsp;<span class="bold">提交</span>
                </a>
            </div>
        </div>

    </form>

    <script type="text/javascript">
         $(function () {

             $("#cbbUser").chosen();

            });

        var hh = document.body.clientHeight - $('.ibox-title').height() - $("#top").height() * 2 - 95;
        $("#div_content").height(hh);

        toastr.options = {
            "closeButton": true,
            "debug": false,
            "progressBar": true,
            "positionClass": "toast-bottom-right",
            "onclick": null,
            "showDuration": "300",
            "hideDuration": "600",
            "timeOut": "4500",
            "extendedTimeOut": "600",
            "showEasing": "swing",
            "hideEasing": "linear",
            "showMethod": "fadeIn",
            "hideMethod": "fadeOut"
        };

        // 保存
        function saveSim() {

            if ($("#cbbUser").val() == '') {
                toastr.warning("使用人员不能为空");
                return;
            }
            if ($("#cbbDhbt").val() == '') {
                toastr.warning("电话补贴不能为空");
                return;
            }

            $.ajax({
                type: "POST",
                url: "/Sim/SaveSimBind",
                dataType: "json",
                global: false,
                data: $('#fm').serialize(),
                success: function (data) {

                        if (data.Result) {
                            parent.layer.msg('设置成功', { icon: 6 });
                            try {
                                _pageAutoClose();//自动关闭页面方法
                            }
                            catch (err) {
                                parent._CloseTab1("/Sim/Edit/");
                            }
                        }
                        else {
                            // toastr.error("失败");
                            parent.layer.msg(data.Message, { icon: 5 });
                        }

                },
                error: function () {
                    parent.layer.msg('失败', { icon: 5 });
                }
            });
        }


        function _pageAutoClose() {
            parent.window._reloadPageData();
            var index = parent.layer.getFrameIndex(window.name);
            parent.layer.isRefresh = true;
            parent.layer.closeAll('loading');
            parent.layer.close(index);
            return false;
        }
         var ActionInfo22 = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ActionInfo2))';



        $(function () {
            var data = JSON.parse(ActionInfo22);
            for (var o in data) {
                $("." + data[o].PageShortcut).show();

            }
        });
    </script>
</body>
</html>